GNU bug report logs - #51085
[PATCH 0/7] Add Mixxx.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Vinicius Monego <monego@HIDDEN>; Keywords: patch; dated Thu, 7 Oct 2021 14:29:01 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 51085 <at> debbugs.gnu.org:


Received: (at 51085) by debbugs.gnu.org; 11 Oct 2021 17:02:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 11 13:02:29 2021
Received: from localhost ([127.0.0.1]:60800 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mZyh3-0006h2-6h
	for submit <at> debbugs.gnu.org; Mon, 11 Oct 2021 13:02:29 -0400
Received: from out1-smtp.messagingengine.com ([66.111.4.25]:51395)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1mZyh1-0006gq-EZ
 for 51085 <at> debbugs.gnu.org; Mon, 11 Oct 2021 13:02:28 -0400
Received: from compute3.internal (compute3.nyi.internal [10.202.2.43])
 by mailout.nyi.internal (Postfix) with ESMTP id EC2FE5C00E5;
 Mon, 11 Oct 2021 13:02:21 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute3.internal (MEProxy); Mon, 11 Oct 2021 13:02:21 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=date:from:to:cc:subject:message-id:references:mime-version
 :content-type:in-reply-to; s=mesmtp; bh=nPaTWfmvKV2Q+cs2sXRF6a7m
 QyGKuwTVU6y/COwwgLQ=; b=YlQWkZw4LLMjWL2412GoABJrQGwtuSSMh7CdCLoo
 z0rg0uzDOC0iyqbzAMJ0MRwhrV+HFNoiXJ2WzQb+8BD+zAsLDHcjUR74aclFCZBD
 wcr/s9emJRkcqGTsR7MUKESrC2LA7wqVXvjNdIuJASz0jt0hFOyeg0hjMwrVrFWg
 R9E=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm1; bh=nPaTWf
 mvKV2Q+cs2sXRF6a7mQyGKuwTVU6y/COwwgLQ=; b=iQyJIZF5WOwxlob0Xf+ugw
 7XTEWoQw97gsJz854Mlih4EXBEhtiVazV4Fyg7pVgyd2ebet/PsHjiDfzj2Rw8Bi
 z2B2UMQ30WA8KVvpqT2/jxzR0eoJWb8X8EG6/3Trj5OM3rKJ+ez9/ztBnz2POlSZ
 lWzL3NzWeuL+S+miISbgTDU/UakGrkYUKAm3KGbCGC5QsJ4TSpV69POiwb11CFXb
 Myd4PdZb7JMCKw2ZuFkTIb0Lh4i+XgJ2UMrDYbtfp/9uNUD0FvTeO7RGHwiPm3CE
 b3nGj3X62aClFXQtGMwUEC+FdR9VmBNK4Is6MPBVW8vGycnvBLDc+ZecAJxksgYg
 ==
X-ME-Sender: <xms:HW5kYWXDGTD0LT0VAef_6VAFnm1C5O_aaJoLUrqEeSytW6SEwjRQZQ>
 <xme:HW5kYSkMl5-wQ362DRQEde6o-VMECrVB1pfzWtCMtx6OGBDO_UwC5FwV1ghfy_5Sf
 UkDjtvIhMDdYwVu0A>
X-ME-Received: <xmr:HW5kYaZbaWOwBFSIvLykaBJXmy-uCLp9CLA7zReeu5PUSWo9NY0VWpElYHvucwisXzE-E4FE_70M5SjyZSUbmVPwGA>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedvtddrvddtiedguddtvdcutefuodetggdotefrod
 ftvfcurfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfgh
 necuuegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmd
 enucfjughrpeffhffvuffkfhggtggujgesthdtredttddtvdenucfhrhhomhepnfgvohcu
 hfgrmhhulhgrrhhiuceolhgvohesfhgrmhhulhgrrhhirdhnrghmvgeqnecuggftrfgrth
 htvghrnhepueekkedtffdvtddugeejgedtvefhueefiedvjeeitdeigedtveejvdejheff
 vefgnecuvehluhhsthgvrhfuihiivgeptdenucfrrghrrghmpehmrghilhhfrhhomheplh
 gvohesfhgrmhhulhgrrhhirdhnrghmvg
X-ME-Proxy: <xmx:HW5kYdWVHrKnpFupIHZyT6XpE7Wg-oWYH9VjGpHef3KyjkjtCFaUHw>
 <xmx:HW5kYQnuQmTp6kfPM4S2d59YgM0UcyFPTSqbITR9tDrOstUT7HG-vA>
 <xmx:HW5kYScMjpFngUsQJy4ybFdQ2axcQshiKBu7Xn51zctE-tWA-SXBJg>
 <xmx:HW5kYXsHzMGdwsw8C0rN2-BWQKoDBTYsU58voACAm_Z_88lrAYE3qw>
Received: by mail.messagingengine.com (Postfix) with ESMTPA; Mon,
 11 Oct 2021 13:02:21 -0400 (EDT)
Date: Mon, 11 Oct 2021 13:02:18 -0400
From: Leo Famulari <leo@HIDDEN>
To: Vinicius Monego <monego@HIDDEN>
Subject: Re: [bug#51085] [PATCH 0/7] Add Mixxx.
Message-ID: <YWRuGlHrPhb9aZ1t@HIDDEN>
References: <20211007142754.46263-1-monego@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <20211007142754.46263-1-monego@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 51085
Cc: 51085 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Thu, Oct 07, 2021 at 02:27:54PM +0000, Vinicius Monego wrote:
> Vinicius Monego (7):
>   gnu: Add libkeyfinder.
>   gnu: Add libdjinterop.
>   gnu: opusfile: Add new phase after unpack.
>   gnu: Add libshout-idjc.
>   gnu: Add spscqueue.
>   gnu: Add mp3guessenc.
>   gnu: Add mixxx.

Amazing! I've wanted a Guix package of Mixxx for a long time. I'm
building and testing this package now.




Information forwarded to guix-patches@HIDDEN:
bug#51085; Package guix-patches. Full text available.

Message received at 51085 <at> debbugs.gnu.org:


Received: (at 51085) by debbugs.gnu.org; 9 Oct 2021 15:29:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 09 11:29:12 2021
Received: from localhost ([127.0.0.1]:54002 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mZEHf-0000M9-Ru
	for submit <at> debbugs.gnu.org; Sat, 09 Oct 2021 11:29:12 -0400
Received: from mout02.posteo.de ([185.67.36.66]:55443)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1mZEHe-0000Lk-H9
 for 51085 <at> debbugs.gnu.org; Sat, 09 Oct 2021 11:29:11 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id DEAC7240105
 for <51085 <at> debbugs.gnu.org>; Sat,  9 Oct 2021 17:29:04 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1633793344; bh=o33JJdW4kLCxKvHKX/o+xrzT82XFLm7E8A1a0p4x2FM=;
 h=From:To:Cc:Subject:Date:From;
 b=Bv7HZKmxiBUJf9JCxCOQCE2NexQXBTKI7mf2cENVgYtIymKYySMRgW3KupfCvaskB
 sGoSCbYFPljxpVafhfZemGfNlvh5alf1B6jasO8mG2+uOhXzqDSHEhMT8YY00kpk3C
 5MUOf1xnZ5PYdJMIXN4H/MVWLGUXovzL9r1hDNjtqjJawtuUrPDzbayyXgGh4t/GPr
 N3t3KmZLnPG9G26VXkq0vLyI5sWJiaC64HX4sFWndV/z7t6WFajKIyj6y5hd55wC3M
 u/ZeJ3zl1xMJWNs2b22tVEoQXmxkmxVpWEEGHbFh3OHaEhuWpdbjxxLmO+aoTzyVFN
 MJjKz8XIqSJ1Q==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4HRTVm0P9cz9rxG;
 Sat,  9 Oct 2021 17:29:03 +0200 (CEST)
From: Vinicius Monego <monego@HIDDEN>
To: 51085 <at> debbugs.gnu.org
Subject: [PATCH v2 7/7] gnu: Add mixxx.
Date: Sat,  9 Oct 2021 15:28:20 +0000
Message-Id: <20211009152820.294764-7-monego@HIDDEN>
In-Reply-To: <20211009152820.294764-1-monego@HIDDEN>
References: <20211009152820.294764-1-monego@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51085
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/music.scm (mixxx): New variable.
* gnu/packages/patches/mixxx-link-qtscriptbytearray-qtscript.patch: New
patch.
* gnu/packages/patches/mixxx-system-googletest-benchmark.patch: New patch.
* gnu/local.mk (dist_patch_DATA): Add patches.
---
Deleted bundles in a snippet instead of a phase. Removed opus from inputs. Changed comment about libshout-idjc. Changed description. Removed www from home-page.

 gnu/local.mk                                  |   2 +
 gnu/packages/music.scm                        | 114 ++++++++++++++++++
 ...ixxx-link-qtscriptbytearray-qtscript.patch |  25 ++++
 .../mixxx-system-googletest-benchmark.patch   |  43 +++++++
 4 files changed, 184 insertions(+)
 create mode 100644 gnu/packages/patches/mixxx-link-qtscriptbytearray-qtscript.patch
 create mode 100644 gnu/packages/patches/mixxx-system-googletest-benchmark.patch

diff --git a/gnu/local.mk b/gnu/local.mk
index b1f0cab55e..a3eceabc9e 100644
--- a/gnu/local.mk
+++ b/gnu/local.mk
@@ -1475,6 +1475,8 @@ dist_patch_DATA =						\
   %D%/packages/patches/minisat-install.patch			\
   %D%/packages/patches/mit-krb5-hurd.patch			\
   %D%/packages/patches/mit-krb5-qualify-short-hostnames.patch	\
+  %D%/packages/patches/mixxx-link-qtscriptbytearray-qtscript.patch	\
+  %D%/packages/patches/mixxx-system-googletest-benchmark.patch	\
   %D%/packages/patches/mpc123-initialize-ao.patch		\
   %D%/packages/patches/mpg321-CVE-2019-14247.patch		\
   %D%/packages/patches/module-init-tools-moduledir.patch	\
diff --git a/gnu/packages/music.scm b/gnu/packages/music.scm
index fa3b70f8c1..697a272eb8 100644
--- a/gnu/packages/music.scm
+++ b/gnu/packages/music.scm
@@ -72,6 +72,7 @@
   #:use-module (guix build-system meson)
   #:use-module (guix build-system perl)
   #:use-module (guix build-system python)
+  #:use-module (guix build-system qt)
   #:use-module (guix build-system scons)
   #:use-module (guix build-system glib-or-gtk)
   #:use-module (guix build-system qt)
@@ -89,6 +90,7 @@
   #:use-module (gnu packages backup)
   #:use-module (gnu packages base) ;libbdf
   #:use-module (gnu packages bash)
+  #:use-module (gnu packages benchmark)
   #:use-module (gnu packages bison)
   #:use-module (gnu packages boost)
   #:use-module (gnu packages build-tools)
@@ -2176,6 +2178,118 @@ Editor.  It is compatible with Power Tab Editor 1.7 and Guitar Pro.")
 users to select LV2 plugins and run them with jalv.")
     (license license:public-domain)))
 
+(define-public mixxx
+  (package
+    (name "mixxx")
+    (version "2.3.1")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/mixxxdj/mixxx")
+             (commit version)))
+       (file-name (git-file-name name version))
+       (patches
+        (search-patches "mixxx-link-qtscriptbytearray-qtscript.patch"
+                        "mixxx-system-googletest-benchmark.patch"))
+       (sha256
+        (base32 "04781s4ajdlwgvf12v2mvh6ia5grhc5pn9d75b468qci3ilnmkg8"))
+       (modules '((guix build utils)))
+       (snippet
+        ;; Delete libraries that we already have or don't need.
+        ;; TODO: try to unbundle more (see lib/).
+        `(begin
+           (let ((third-parties '("apple" "benchmark" "googletest" "hidapi"
+                                  "libebur128")))
+             (with-directory-excursion "lib"
+               (map (lambda (third-party)
+                      (delete-file-recursively third-party))
+                    third-parties)))
+           #t))))
+    (build-system qt-build-system)
+    (arguments
+     `(#:phases
+       (modify-phases %standard-phases
+         ;; Tests need a running X server.
+         (add-before 'check 'prepare-x-for-test
+           (lambda _
+             (system "Xvfb &")
+             (setenv "DISPLAY" ":0")))
+         (replace 'check
+           (lambda* (#:key tests? #:allow-other-keys)
+             (when tests?
+               ;; This test fails.  I don't know why.
+               (invoke "ctest" "-E" "TagLibTest.WriteID3v2Tag"))))
+         (add-after 'install 'wrap-executable
+           (lambda* (#:key inputs outputs #:allow-other-keys)
+             (let* ((out (assoc-ref outputs "out"))
+                    (faad2 (assoc-ref inputs "faad2")))
+               (wrap-program (string-append out "/bin/mixxx")
+                 `("LD_LIBRARY_PATH" ":" prefix
+                   ,(list (string-append faad2 "/lib"))))))))))
+    (native-inputs
+     `(("benchmark" ,benchmark)
+       ("googletest" ,googletest)
+       ("python" ,python-wrapper)
+       ("qttools" ,qttools)
+       ("xorg-server" ,xorg-server-for-tests)))
+    (inputs
+     `(("bash" ,bash-minimal)
+       ("chromaprint" ,chromaprint)
+       ("faad2" ,faad2)
+       ("ffmpeg" ,ffmpeg)
+       ("fftw" ,fftw)
+       ("flac" ,flac)
+       ("glu" ,glu)
+       ("hidapi" ,hidapi)
+       ("jack" ,jack-1)
+       ("lame" ,lame)
+       ("libdjinterop" ,libdjinterop)
+       ("libebur128" ,libebur128)
+       ("libid3tag" ,libid3tag)
+       ("libkeyfinder" ,libkeyfinder)
+       ("libmad" ,libmad)
+       ("libmp4v2" ,libmp4v2)
+       ("libmodplug" ,libmodplug)
+       ("libsndfile" ,libsndfile)
+       ("libshout" ,libshout)
+       ;; XXX: Mixxx complains the libshout-idjc package suffers from bug
+       ;; lp1833225 and refuses to use it.  Use the bundle for now.
+       ;; ("libshout-idjc" ,libshout-idjc)
+       ("libusb" ,libusb)
+       ("libvorbis" ,libvorbis)
+       ("lilv" ,lilv)
+       ("mp3guessenc" ,mp3guessenc)
+       ("openssl" ,openssl)
+       ("opusfile" ,opusfile)
+       ("portaudio" ,portaudio)
+       ("portmidi" ,portmidi)
+       ("protobuf" ,protobuf)
+       ("qtbase" ,qtbase-5)
+       ("qtdeclarative" ,qtdeclarative)
+       ("qtkeychain" ,qtkeychain)
+       ("qtscript" ,qtscript)
+       ("qtsvg" ,qtsvg)
+       ("qtx11extras" ,qtx11extras)
+       ("rubberband" ,rubberband)
+       ("soundtouch" ,soundtouch)
+       ("sqlite" ,sqlite)
+       ("taglib" ,taglib)
+       ("upower" ,upower)
+       ("vamp" ,vamp)
+       ("wavpack" ,wavpack)))
+    (home-page "https://mixxx.org/")
+    (synopsis "DJ software to perform live mixes")
+    (description "Mixxx is a DJ software.  It integrates the tools DJs need to
+perform creative live mixes with digital music files.")
+    (license (list license:gpl2+ ; Mixxx, fidlib, qm-dsp
+                   license:gpl2 ; xwax
+                   license:gpl3+ ; reverb
+                   license:expat ; kaitai, scspqueue, portaudio
+                   license:bsd-3 ; qtbytescriptarray
+                   license:lgpl2.1+ ; replaygain, mp3guessenc
+                   license:lgpl2.0+)))) ; libshout-idjc (Library, not Lesser)
+
 (define-public synthv1
   (package
     (name "synthv1")
diff --git a/gnu/packages/patches/mixxx-link-qtscriptbytearray-qtscript.patch b/gnu/packages/patches/mixxx-link-qtscriptbytearray-qtscript.patch
new file mode 100644
index 0000000000..d7cd1c0d28
--- /dev/null
+++ b/gnu/packages/patches/mixxx-link-qtscriptbytearray-qtscript.patch
@@ -0,0 +1,25 @@
+From 7554aefc886d4ebc4b4c139a5cddcab6163cf72f Mon Sep 17 00:00:00 2001
+From: Vinicius Monego <monego@HIDDEN>
+Date: Thu, 30 Sep 2021 23:37:29 -0300
+Subject: [PATCH] Link QtScriptByteArray with QtScript.
+
+---
+ CMakeLists.txt | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/CMakeLists.txt b/CMakeLists.txt
+index 492ccae..05fec08 100644
+--- a/CMakeLists.txt
++++ b/CMakeLists.txt
+@@ -2077,7 +2077,7 @@ add_library(QtScriptByteArray STATIC EXCLUDE_FROM_ALL
+   lib/qtscript-bytearray/bytearrayprototype.cpp
+ )
+ set_target_properties(QtScriptByteArray PROPERTIES AUTOMOC ON)
+-target_link_libraries(QtScriptByteArray Qt5::Core)
++target_link_libraries(QtScriptByteArray Qt5::Core Qt5::Script)
+ target_include_directories(mixxx-lib SYSTEM PUBLIC lib/qtscript-bytearray)
+ target_link_libraries(mixxx-lib PRIVATE QtScriptByteArray)
+ 
+-- 
+2.30.2
+
diff --git a/gnu/packages/patches/mixxx-system-googletest-benchmark.patch b/gnu/packages/patches/mixxx-system-googletest-benchmark.patch
new file mode 100644
index 0000000000..7adbe66208
--- /dev/null
+++ b/gnu/packages/patches/mixxx-system-googletest-benchmark.patch
@@ -0,0 +1,43 @@
+From eb2079d467f8658eea13e2ed86cc69d864632866 Mon Sep 17 00:00:00 2001
+From: Vinicius Monego <monego@HIDDEN>
+Date: Wed, 29 Sep 2021 19:07:35 -0300
+Subject: [PATCH] Use system googletest and benchmark.
+
+---
+ CMakeLists.txt | 13 +++----------
+ 1 file changed, 3 insertions(+), 10 deletions(-)
+
+diff --git a/CMakeLists.txt b/CMakeLists.txt
+index 10e9b0a..492ccae 100644
+--- a/CMakeLists.txt
++++ b/CMakeLists.txt
+@@ -1467,12 +1467,7 @@ set(gtest_force_shared_crt ON CACHE BOOL "Pass Mixxx compiler/linker options to
+ # Prevent installation of GoogleTest libraries
+ set(INSTALL_GTEST OFF CACHE BOOL "Disable installation of GoogleTest" FORCE)
+ 
+-# Add googletest directly to our build. This adds the following targets:
+-# gtest, gtest_main, gmock and gmock_main
+-add_subdirectory(
+-  "${CMAKE_CURRENT_SOURCE_DIR}/lib/googletest"
+-  "${CMAKE_CURRENT_BINARY_DIR}/lib/googletest"
+-)
++find_package(GTest CONFIG REQUIRED)
+ 
+ add_executable(mixxx-test
+   src/test/analyserwaveformtest.cpp
+@@ -1582,10 +1577,8 @@ set(BENCHMARK_ENABLE_TESTING OFF CACHE BOOL "" FORCE)
+ # Prevent installation of google/benchmark artifacts
+ set(BENCHMARK_ENABLE_INSTALL OFF CACHE BOOL "Disable installation of google/benchmark" FORCE)
+ 
+-add_subdirectory(
+-  "${CMAKE_CURRENT_SOURCE_DIR}/lib/benchmark"
+-  "${CMAKE_CURRENT_BINARY_DIR}/lib/benchmark"
+-)
++find_package(benchmark CONFIG REQUIRED)
++
+ target_link_libraries(mixxx-test PRIVATE benchmark)
+ 
+ # Test Suite
+-- 
+2.30.2
+
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#51085; Package guix-patches. Full text available.

Message received at 51085 <at> debbugs.gnu.org:


Received: (at 51085) by debbugs.gnu.org; 9 Oct 2021 15:29:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 09 11:29:08 2021
Received: from localhost ([127.0.0.1]:53998 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mZEHc-0000Lt-9y
	for submit <at> debbugs.gnu.org; Sat, 09 Oct 2021 11:29:08 -0400
Received: from mout01.posteo.de ([185.67.36.65]:35799)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1mZEHa-0000Kk-Az
 for 51085 <at> debbugs.gnu.org; Sat, 09 Oct 2021 11:29:06 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id BE4A9240029
 for <51085 <at> debbugs.gnu.org>; Sat,  9 Oct 2021 17:29:00 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1633793340; bh=13qd0OhdhJpR7LrayQkWu0Oolp4OrjHKFmA/qXvMXfw=;
 h=From:To:Cc:Subject:Date:From;
 b=E4js/ZZ4yFgB4hRSiuinHcpz/2XGGOT84hIj9/npIdwg+yYxzUfU5E56pUVsfEb0l
 3i4rsQuv/2TZXS6hoG1RP00jfAtBqtHdO0tIixbCVZ3VRzcDQyvBoOUgfJWaEkFwhO
 hbKDHZfF6U+MsEshx4xZX285Wub+awgudMBfP7UzFJYgV//baVDFLmK9G2rffOp6p3
 XWUkVHP9fJ1eCyNZse0xx9vlvOQuILWXl6hTjFKaYXmAMUd5w7BbFxAjm+OqZf/ha5
 iJPio6iaRhxwn8kpSrtwEc1JZpX2syVshIa7mcl/u0es725gr6jDgnFkqpVHtToVO7
 bfcvNtNWzu2+g==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4HRTVg5x8gz9rxH;
 Sat,  9 Oct 2021 17:28:59 +0200 (CEST)
From: Vinicius Monego <monego@HIDDEN>
To: 51085 <at> debbugs.gnu.org
Subject: [PATCH v2 6/7] gnu: Add mp3guessenc.
Date: Sat,  9 Oct 2021 15:28:19 +0000
Message-Id: <20211009152820.294764-6-monego@HIDDEN>
In-Reply-To: <20211009152820.294764-1-monego@HIDDEN>
References: <20211009152820.294764-1-monego@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51085
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/audio.scm (mp3guessenc): New variable.
---
Removed trailing / from home-page.

 gnu/packages/audio.scm | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)

diff --git a/gnu/packages/audio.scm b/gnu/packages/audio.scm
index 6c0318db9d..47c37643f6 100644
--- a/gnu/packages/audio.scm
+++ b/gnu/packages/audio.scm
@@ -4060,6 +4060,34 @@ machine-readable ASCII format.")
     (home-page "https://github.com/svend/cuetools")
     (license license:gpl2+)))
 
+(define-public mp3guessenc
+  (package
+    (name "mp3guessenc")
+    (version "0.27.5")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (string-append "mirror://sourceforge/mp3guessenc/mp3guessenc-"
+                           (version-major+minor version) "/mp3guessenc-"
+                           version ".tar.gz"))
+       (sha256
+        (base32 "1fa3sbwwn4p2v1749lzy040bfy1xfd574mf2frwgg9ikgk3vlb3c"))))
+    (build-system gnu-build-system)
+    (arguments
+     `(#:tests? #f ; no tests
+       #:make-flags
+       (list (string-append "PREFIX=" (assoc-ref %outputs "out"))
+             (string-append "SUFFIX="))
+       #:phases
+       (modify-phases %standard-phases
+         (delete 'configure)))) ; no configure phase
+    (home-page "https://mp3guessenc.sourceforge.io")
+    (synopsis "Detect the encoder used for a mpeg layer III")
+    (description "This command line utility was born to detect the encoder
+used for a mpeg layer III file but now it can do more and scan any mpeg
+audio file (any layer) and print a lot of useful information.")
+    (license license:lgpl2.1+)))
+
 (define-public shntool
   (package
     (name "shntool")
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#51085; Package guix-patches. Full text available.

Message received at 51085 <at> debbugs.gnu.org:


Received: (at 51085) by debbugs.gnu.org; 9 Oct 2021 15:29:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 09 11:29:04 2021
Received: from localhost ([127.0.0.1]:53994 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mZEHY-0000Lc-1q
	for submit <at> debbugs.gnu.org; Sat, 09 Oct 2021 11:29:04 -0400
Received: from mout02.posteo.de ([185.67.36.66]:38765)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1mZEHW-0000KO-1u
 for 51085 <at> debbugs.gnu.org; Sat, 09 Oct 2021 11:29:02 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 5DE6E240101
 for <51085 <at> debbugs.gnu.org>; Sat,  9 Oct 2021 17:28:56 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1633793336; bh=MBJOxSHamwgS+6A4J7iuLLEXgiA2XdC+qRSbsJ6GwZQ=;
 h=From:To:Cc:Subject:Date:From;
 b=DDECt9pHxdDR3Tk8aanJR8UXfDOYR7ziycdZIFdD1TYIlb4JCdALbREchDnCmhexi
 +eGGofawtYVLAXLetOEO4iayjYLnwk+N1IH5eihdFY26hjiAy1/Et7+S2uyVl4VhJh
 AiP7i+2XV3mKKmlx8R58136DEr2e+LXiRX0ssvfATBV8f/e3P3fw8+kT93T0ZWr0AY
 EnD93hoKEwshTNuJefM7E9bQG0n3srkz2RbbsXZpATDTiJv+NXbJTqrRlhJaAihdBy
 sGKxdtxcjJYJUdZPmL+xSv/NFsQxF77D1eYk+0Qo4fVNavxbvDC4ps7zXldc4Ml2RF
 AC7tA3bkZJegg==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4HRTVb4PxFz9rxH;
 Sat,  9 Oct 2021 17:28:55 +0200 (CEST)
From: Vinicius Monego <monego@HIDDEN>
To: 51085 <at> debbugs.gnu.org
Subject: [PATCH v2 5/7] gnu: Add spscqueue.
Date: Sat,  9 Oct 2021 15:28:18 +0000
Message-Id: <20211009152820.294764-5-monego@HIDDEN>
In-Reply-To: <20211009152820.294764-1-monego@HIDDEN>
References: <20211009152820.294764-1-monego@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51085
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/cpp.scm (spscqueue): New variable.
---
 gnu/packages/cpp.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/cpp.scm b/gnu/packages/cpp.scm
index 104fe81e18..5298de7cbb 100644
--- a/gnu/packages/cpp.scm
+++ b/gnu/packages/cpp.scm
@@ -516,6 +516,27 @@ syntax highlighting.  @code{ccls} is derived from @code{cquery} which is not
 maintained anymore.")
     (license license:asl2.0)))
 
+(define-public spscqueue
+  (package
+    (name "spscqueue")
+    (version "1.1")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/rigtorp/SPSCQueue/")
+             (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "1428cj9x318afvnvnkhg0711iy4czqn86fi7ysgfhw91asa316rc"))))
+    (build-system cmake-build-system)
+    (home-page "https://github.com/rigtorp/SPSCQueue/")
+    (synopsis "Single producer single consumer queue written in C++11")
+    (description
+     "This package provides a single producer single consumer wait-free and
+lock-free fixed size queue written in C++11.")
+    (license license:expat)))
+
 (define-public gperftools
   (package
     (name "gperftools")
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#51085; Package guix-patches. Full text available.

Message received at 51085 <at> debbugs.gnu.org:


Received: (at 51085) by debbugs.gnu.org; 9 Oct 2021 15:28:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 09 11:28:59 2021
Received: from localhost ([127.0.0.1]:53986 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mZEHS-0000Kb-Qj
	for submit <at> debbugs.gnu.org; Sat, 09 Oct 2021 11:28:59 -0400
Received: from mout02.posteo.de ([185.67.36.66]:48003)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1mZEHS-0000Js-09
 for 51085 <at> debbugs.gnu.org; Sat, 09 Oct 2021 11:28:58 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 46B58240104
 for <51085 <at> debbugs.gnu.org>; Sat,  9 Oct 2021 17:28:52 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1633793332; bh=KA82SjvmQEYqEhsJso6qNlHGRou2fgPlXNwaayGRtes=;
 h=From:To:Cc:Subject:Date:From;
 b=fvWYllq66mBekDiGUEn6JFoeqCqLgFqw4IwvW4YaiwTDqP4UrSobm0vdS/vDMT5lh
 wZb3UeIoi6gNy2kfSVPTEnjHbvlC4nRhk8Pj62sr1EM+C1Uz4416sQEjd0+pZbwf9+
 RMu+pgP1A55Lnlarg6ir+VGPhzBBYM/4A/MYHL/UDM/q8cAT/0zUQYw95qUJ+xViyJ
 0Btyic9lNWzh9L7SRrA1s/evCLDWSfydhgWUAWGcz0wVG7hqqrSsigz7M0fv+LNyWx
 8zUY/V5wDzjwjL0A8Eaf5giD6t1br/HZiXIBMhD9AbsFdETRmqZfgjHlR4oId7ndMA
 eq4K3bnJ85SBg==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4HRTVW3nnKz9rxG;
 Sat,  9 Oct 2021 17:28:51 +0200 (CEST)
From: Vinicius Monego <monego@HIDDEN>
To: 51085 <at> debbugs.gnu.org
Subject: [PATCH v2 4/7] gnu: Add libshout-idjc.
Date: Sat,  9 Oct 2021 15:28:17 +0000
Message-Id: <20211009152820.294764-4-monego@HIDDEN>
In-Reply-To: <20211009152820.294764-1-monego@HIDDEN>
References: <20211009152820.294764-1-monego@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51085
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/audio.scm (libshout-idjc): New variable.
---
Fixed typo in description.

 gnu/packages/audio.scm | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

diff --git a/gnu/packages/audio.scm b/gnu/packages/audio.scm
index 4712e9aa72..6c0318db9d 100644
--- a/gnu/packages/audio.scm
+++ b/gnu/packages/audio.scm
@@ -3089,6 +3089,31 @@ for \"realtime\" in the index of the Guix manual to learn how to achieve this
 using Guix System.")
     (license license:gpl2+)))
 
+(define-public libshout-idjc
+  (package
+    (name "libshout-idjc")
+    (version "2.4.4")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (string-append "mirror://sourceforge/libshoutidjc.idjc.p"
+                           "/libshout-idjc-" version ".tar.gz"))
+       (sha256
+        (base32 "1r9z8ggxylr2ab0isaljbm574rplnlcb12758j994h54nh2vikwb"))))
+    (build-system gnu-build-system)
+    (native-inputs
+     `(("pkg-config" ,pkg-config)))
+    (inputs
+     `(("libogg" ,libogg)
+       ("libtheora" ,libtheora)
+       ("libvorbis" ,libvorbis)
+       ("speex" ,speex)))
+    (home-page "http://idjc.sourceforge.net/")
+    (synopsis "Broadcast streaming library with IDJC extensions")
+    (description "This package provides libshout plus IDJC extensions.")
+    ;; GNU Library (not Lesser) General Public License.
+    (license license:lgpl2.0+)))
+
 (define-public raul
   (package
     (name "raul")
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#51085; Package guix-patches. Full text available.

Message received at 51085 <at> debbugs.gnu.org:


Received: (at 51085) by debbugs.gnu.org; 9 Oct 2021 15:28:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 09 11:28:56 2021
Received: from localhost ([127.0.0.1]:53982 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mZEHQ-0000KK-ID
	for submit <at> debbugs.gnu.org; Sat, 09 Oct 2021 11:28:56 -0400
Received: from mout01.posteo.de ([185.67.36.65]:41117)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1mZEHN-0000Ji-NK
 for 51085 <at> debbugs.gnu.org; Sat, 09 Oct 2021 11:28:54 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id A3EFF240026
 for <51085 <at> debbugs.gnu.org>; Sat,  9 Oct 2021 17:28:47 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1633793327; bh=IiHEICBD7jhtHWEOosBA+4eWekqbKmmWsMmrBqXVtyM=;
 h=From:To:Cc:Subject:Date:From;
 b=lG5Q2Mbd8p9Oe+4YSbopW2/T4hpCtQVKE5J28tBWjdoF02Q1pmCA9UuzrsANRQgJT
 a64xdhpR9bEtzZO2NF6k2u8OUzZzfU8d4zk34kmbzp9ZVSIBle1j31sXByhL1rdihT
 PH+UQ4dt1vBPsSttZ9I+mZt9BP++kwFv8BZ1zc0oZRw6GVhyCjgs83Bc7g89hOYHUa
 lKtrOg5rcX/UXi3RG77TeSjFaxhHHbxRjNgcjw+NXYZthg+zNZi14AvX6yVOtKOar/
 I736WapFZMQRb4FOMSSIut6YR70ImZFDd6Mb8lVd+lPG0wjsnlPZUNg+jdEaUcoa1A
 ta7Z3AQgKkQdA==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4HRTVQ4xbcz9rxX;
 Sat,  9 Oct 2021 17:28:46 +0200 (CEST)
From: Vinicius Monego <monego@HIDDEN>
To: 51085 <at> debbugs.gnu.org
Subject: [PATCH v2 3/7] gnu: opusfile: Add new phase after unpack.
Date: Sat,  9 Oct 2021 15:28:16 +0000
Message-Id: <20211009152820.294764-3-monego@HIDDEN>
In-Reply-To: <20211009152820.294764-1-monego@HIDDEN>
References: <20211009152820.294764-1-monego@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51085
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/xiph.scm (opusfile)[arguments]<#:phases>: After the unpack
phase add a fix-multistream phase to adjust the include header call of
opus_multistream.h so that opusfile can find it.
---
 gnu/packages/xiph.scm | 12 +++++++++++-
 1 file changed, 11 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/xiph.scm b/gnu/packages/xiph.scm
index fbbcbd6e61..0c9c799067 100644
--- a/gnu/packages/xiph.scm
+++ b/gnu/packages/xiph.scm
@@ -11,6 +11,7 @@
 ;;; Copyright © 2018 Leo Famulari <leo@HIDDEN>
 ;;; Copyright © 2020 Vincent Legoll <vincent.legoll@HIDDEN>
 ;;; Copyright © 2021 Brendan Tildesley <mail@HIDDEN>
+;;; Copyright © 2021 Vinicius Monego <monego@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -406,7 +407,16 @@ decoding .opus files.")
                 "02smwc5ah8nb3a67mnkjzqmrzk43j356hgj2a97s9midq40qd38i"))))
     (build-system gnu-build-system)
     (arguments
-     '(#:configure-flags '("--disable-static")))
+     '(#:configure-flags '("--disable-static")
+       #:phases
+       (modify-phases %standard-phases
+         (add-after 'unpack 'fix-multistream
+           ;; Opus include directory should be passed explicitly:
+           ;; https://github.com/xiph/opusfile/issues/10 however,
+           ;; opus_multistream.h still can't be found by the compiler.
+           (lambda _
+             (substitute* "include/opusfile.h"
+               (("opus_multistream\\.h") "opus/opus_multistream.h")))))))
     ;; Required by opusfile.pc and opusurl.pc.
     (propagated-inputs
      `(("libogg" ,libogg)
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#51085; Package guix-patches. Full text available.

Message received at 51085 <at> debbugs.gnu.org:


Received: (at 51085) by debbugs.gnu.org; 9 Oct 2021 15:28:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 09 11:28:55 2021
Received: from localhost ([127.0.0.1]:53980 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mZEHP-0000KC-3E
	for submit <at> debbugs.gnu.org; Sat, 09 Oct 2021 11:28:55 -0400
Received: from mout02.posteo.de ([185.67.36.66]:43757)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1mZEHG-0000JV-FK
 for 51085 <at> debbugs.gnu.org; Sat, 09 Oct 2021 11:28:53 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id C6E6E240103
 for <51085 <at> debbugs.gnu.org>; Sat,  9 Oct 2021 17:28:39 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1633793319; bh=DlmdoHTiVW7kDu9w1p/WGjmVS+hIDrFHjKSVYAW3qNI=;
 h=From:To:Cc:Subject:Date:From;
 b=A1zUZ9jj4es0XopedXWinbvByjp59XWSawyRBSGYwtgo1srEsWKlg/v4oSdShdI4J
 A0dq74fH77nBzBYxy4AO9zXQN5+BObxhN/MJTfSi1hdR16iEhewlc33GVlOT5fNrsT
 U6x8JRobqSONGiudn4OLbcbjhXJ1WEOTUBH7t+XeOHzqBSDuZdrTQogWSl96+1M7E0
 KLNpnPiqvWKJCqCXaEO6tEyOAqN65yZ6iaFEylYe6qLCz9S9wOhAzGs+4MKwbO8SNv
 ptZAvadQ3kEGQZj5qbQoQ26Fsce+KLUbkXdzN9vuRlojsaXORQR8crxzl6nLyFC9RS
 YVSYpGesF/PFQ==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4HRTVG4c9dz9rxf;
 Sat,  9 Oct 2021 17:28:38 +0200 (CEST)
From: Vinicius Monego <monego@HIDDEN>
To: 51085 <at> debbugs.gnu.org
Subject: [PATCH v2 1/7] gnu: Add libkeyfinder.
Date: Sat,  9 Oct 2021 15:28:14 +0000
Message-Id: <20211009152820.294764-1-monego@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51085
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/audio.scm (libkeyfinder): New variable.
---
 gnu/packages/audio.scm | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

diff --git a/gnu/packages/audio.scm b/gnu/packages/audio.scm
index cc51ac51f3..ef06e0934e 100644
--- a/gnu/packages/audio.scm
+++ b/gnu/packages/audio.scm
@@ -3417,6 +3417,31 @@ stretching and pitch scaling of audio.  This package contains the library.")
     ;; containing gpl2.
     (license license:gpl2)))
 
+(define-public libkeyfinder
+  (package
+    (name "libkeyfinder")
+    (version "2.2.5")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/mixxxdj/libkeyfinder")
+             (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "1623kirmxhmvmhx7f8lbzk0f18w2hrhwlkzl8l4aa906lfqffdp2"))))
+    (build-system cmake-build-system)
+    (native-inputs
+     `(("catch" ,catch-framework2)))
+    (inputs
+     `(("fftw" ,fftw)))
+    (home-page "https://mixxxdj.github.io/libkeyfinder/")
+    (synopsis "Musical key detection for digital audio")
+    (description
+     "@code{libkeyfinder} is a small C++11 library for estimating the musical
+key of digital audio.")
+    (license license:gpl3+)))
+
 (define-public wavpack
   (package
     (name "wavpack")
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#51085; Package guix-patches. Full text available.

Message received at 51085 <at> debbugs.gnu.org:


Received: (at 51085) by debbugs.gnu.org; 9 Oct 2021 15:28:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 09 11:28:54 2021
Received: from localhost ([127.0.0.1]:53976 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mZEHN-0000Jz-FD
	for submit <at> debbugs.gnu.org; Sat, 09 Oct 2021 11:28:54 -0400
Received: from mout02.posteo.de ([185.67.36.66]:38655)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1mZEHJ-0000Ja-5q
 for 51085 <at> debbugs.gnu.org; Sat, 09 Oct 2021 11:28:51 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 83935240104
 for <51085 <at> debbugs.gnu.org>; Sat,  9 Oct 2021 17:28:43 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1633793323; bh=xda33PUdb/Xl1QZYlqAxrHMO5OUaVtDIZaPjnOq8Ss8=;
 h=From:To:Cc:Subject:Date:From;
 b=K08z/w138+iAIa2/+al305LBnBW8ShBOttqckqtKsS7fXqNEBPxZnA2T/azMr0TlK
 e+u6j4alRPVzr3CDgCcjz36lM99nExNDsCVQqe033VDXGlzeLFQAuEypEn7MAgNpTy
 qJq9YV+WpOMSJw7wWnrsd1X7EZxoxYgUQG+xiob24s6byNFrDLRBJKYxkFLtTzyEDO
 Fwf0S9/oYXxu6aft5ENxIJhDo8VeNYjWfRtAAcxPhNxKvGjrmCK7X5tb+VSPqeByTW
 krboqQQQqowrNVy6+yHJohbjuLcHHbWoPsxXX2YG0w0MxiL9vnWdOMmSpso64oiiQN
 TaoNjSOCA0c5g==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4HRTVL56h5z9rxV;
 Sat,  9 Oct 2021 17:28:42 +0200 (CEST)
From: Vinicius Monego <monego@HIDDEN>
To: 51085 <at> debbugs.gnu.org
Subject: [PATCH v2 2/7] gnu: Add libdjinterop.
Date: Sat,  9 Oct 2021 15:28:15 +0000
Message-Id: <20211009152820.294764-2-monego@HIDDEN>
In-Reply-To: <20211009152820.294764-1-monego@HIDDEN>
References: <20211009152820.294764-1-monego@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51085
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/audio.scm (libdjinterop): New variable.
---
 gnu/packages/audio.scm | 35 +++++++++++++++++++++++++++++++++++
 1 file changed, 35 insertions(+)

diff --git a/gnu/packages/audio.scm b/gnu/packages/audio.scm
index ef06e0934e..4712e9aa72 100644
--- a/gnu/packages/audio.scm
+++ b/gnu/packages/audio.scm
@@ -107,6 +107,7 @@
   #:use-module (gnu packages readline)
   #:use-module (gnu packages sdl)
   #:use-module (gnu packages serialization)
+  #:use-module (gnu packages sqlite)
   #:use-module (gnu packages telephony)
   #:use-module (gnu packages linphone)
   #:use-module (gnu packages linux)
@@ -1217,6 +1218,40 @@ flanger), ringmodulator, distortion, filters, pitchshift, oscillators,
 emulation (valve, tape), bit fiddling (decimator, pointer-cast), etc.")
     (license license:gpl3+)))
 
+(define-public libdjinterop
+  (package
+    (name "libdjinterop")
+    (version "0.16.0")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/xsco/libdjinterop")
+             (commit version)))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "16nrqpr90vb9ggmp9j73m0hspd7pmfdhh0g6iyp8vd7kx7g17qnk"))))
+    (build-system meson-build-system)
+    (arguments
+     `(#:phases
+       (modify-phases %standard-phases
+         ;; crate_test writes a database file to the source tree.
+         (add-after 'unpack 'make-git-checkout-writable
+           (lambda _
+             (for-each make-file-writable (find-files ".")))))))
+    (native-inputs
+     `(("boost" ,boost)
+       ("pkg-config" ,pkg-config)))
+    (inputs
+     `(("sqlite" ,sqlite)
+       ("zlib" ,zlib)))
+    (home-page "https://github.com/xsco/libdjinterop")
+    (synopsis "C++ library for access to DJ record libraries")
+    (description
+     "@code{libdjinterop} is a C++ library that allows access to database
+formats used to store information about DJ record libraries.")
+    (license license:lgpl3+)))
+
 (define-public tao
   (package
     (name "tao")
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#51085; Package guix-patches. Full text available.

Message received at 51085 <at> debbugs.gnu.org:


Received: (at 51085) by debbugs.gnu.org; 7 Oct 2021 14:30:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 07 10:30:37 2021
Received: from localhost ([127.0.0.1]:48245 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mYUPs-00041y-Qk
	for submit <at> debbugs.gnu.org; Thu, 07 Oct 2021 10:30:37 -0400
Received: from mout02.posteo.de ([185.67.36.66]:41351)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1mYUPo-00041L-FV
 for 51085 <at> debbugs.gnu.org; Thu, 07 Oct 2021 10:30:36 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id B5C41240109
 for <51085 <at> debbugs.gnu.org>; Thu,  7 Oct 2021 16:30:26 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1633617026; bh=Vt6lrcuaoP8PfpgZts5bDVRiwzPRto6FfsdcQjuLpQY=;
 h=From:To:Cc:Subject:Date:From;
 b=mHH3UNQJnmrF5seio+iG0jxOSGa0ZHtJ+mZJA0qZbagDisvmOuW8y8ONbwpAQLJ43
 jIs2r+QwXdTlJflS17AKnFiLxtLBEBkRNnySMmiq+jlCKhSLVNi2hzkX2DUg0dr+B8
 7BDUtawVzKzGObSovCiiAeFi2AJ7K3rGiJIRtOM3ykKeRcqAUgoYSOwBbv+MsN+ETb
 iljAKGfbrjmNpjpeRc0zyA87l9uGVM0tiq/wN4g9m8KSAe+AWyDk12ADMS2BRelsYB
 NxJHREokzCD7gj130EqSnzFqR2CXE4ncNWaEdSFsdY2VjAp5FSRHzqEgo7not+SlRl
 Q6g5vBkcxNrCg==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4HQDHz5VKTz9rxr;
 Thu,  7 Oct 2021 16:30:23 +0200 (CEST)
From: Vinicius Monego <monego@HIDDEN>
To: 51085 <at> debbugs.gnu.org
Subject: [PATCH 7/7] gnu: Add mixxx.
Date: Thu,  7 Oct 2021 14:29:41 +0000
Message-Id: <20211007142941.46591-7-monego@HIDDEN>
In-Reply-To: <20211007142941.46591-1-monego@HIDDEN>
References: <20211007142941.46591-1-monego@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51085
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/music.scm (mixxx): New variable.
* gnu/packages/patches/mixxx-link-qtscriptbytearray-qtscript.patch: New
patch.
* gnu/packages/patches/mixxx-system-googletest-benchmark.patch: New patch.
* gnu/local.mk (dist_patch_DATA): Add patches.
---
 gnu/local.mk                                  |   2 +
 gnu/packages/music.scm                        | 116 ++++++++++++++++++
 ...ixxx-link-qtscriptbytearray-qtscript.patch |  25 ++++
 .../mixxx-system-googletest-benchmark.patch   |  43 +++++++
 4 files changed, 186 insertions(+)
 create mode 100644 gnu/packages/patches/mixxx-link-qtscriptbytearray-qtscript.patch
 create mode 100644 gnu/packages/patches/mixxx-system-googletest-benchmark.patch

diff --git a/gnu/local.mk b/gnu/local.mk
index d415b892e9..36ed1bb755 100644
--- a/gnu/local.mk
+++ b/gnu/local.mk
@@ -1476,6 +1476,8 @@ dist_patch_DATA =						\
   %D%/packages/patches/minisat-install.patch			\
   %D%/packages/patches/mit-krb5-hurd.patch			\
   %D%/packages/patches/mit-krb5-qualify-short-hostnames.patch	\
+  %D%/packages/patches/mixxx-link-qtscriptbytearray-qtscript.patch	\
+  %D%/packages/patches/mixxx-system-googletest-benchmark.patch	\
   %D%/packages/patches/mpc123-initialize-ao.patch		\
   %D%/packages/patches/mpg321-CVE-2019-14247.patch		\
   %D%/packages/patches/module-init-tools-moduledir.patch	\
diff --git a/gnu/packages/music.scm b/gnu/packages/music.scm
index ae4626dc8a..759b56d5e0 100644
--- a/gnu/packages/music.scm
+++ b/gnu/packages/music.scm
@@ -71,6 +71,7 @@
   #:use-module (guix build-system meson)
   #:use-module (guix build-system perl)
   #:use-module (guix build-system python)
+  #:use-module (guix build-system qt)
   #:use-module (guix build-system scons)
   #:use-module (guix build-system glib-or-gtk)
   #:use-module (guix build-system qt)
@@ -88,6 +89,7 @@
   #:use-module (gnu packages backup)
   #:use-module (gnu packages base) ;libbdf
   #:use-module (gnu packages bash)
+  #:use-module (gnu packages benchmark)
   #:use-module (gnu packages bison)
   #:use-module (gnu packages boost)
   #:use-module (gnu packages build-tools)
@@ -2219,6 +2221,120 @@ Editor.  It is compatible with Power Tab Editor 1.7 and Guitar Pro.")
 users to select LV2 plugins and run them with jalv.")
     (license license:public-domain)))
 
+(define-public mixxx
+  (package
+    (name "mixxx")
+    (version "2.3.1")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/mixxxdj/mixxx")
+             (commit version)))
+       (file-name (git-file-name name version))
+       (patches
+        (search-patches "mixxx-link-qtscriptbytearray-qtscript.patch"
+                        "mixxx-system-googletest-benchmark.patch"))
+       (sha256
+        (base32 "04781s4ajdlwgvf12v2mvh6ia5grhc5pn9d75b468qci3ilnmkg8"))))
+    (build-system qt-build-system)
+    (arguments
+     `(#:phases
+       (modify-phases %standard-phases
+         ;; Delete libraries that we already have or don't need.
+         (add-after 'unpack 'delete-third-parties
+           (lambda _
+             (let ((third-parties '("apple" "benchmark" "googletest" "hidapi"
+                                    "libebur128")))
+               (with-directory-excursion "lib"
+                 (map (lambda (third-party)
+                        (delete-file-recursively third-party))
+                      third-parties)))))
+         ;; Tests need a running X server.
+         (add-before 'check 'prepare-x-for-test
+           (lambda _
+             (system "Xvfb &")
+             (setenv "DISPLAY" ":0")))
+         (replace 'check
+           (lambda* (#:key tests? #:allow-other-keys)
+             (when tests?
+               ;; This test fails.  I don't know why.
+               (invoke "ctest" "-E" "TagLibTest.WriteID3v2Tag"))))
+         (add-after 'install 'wrap-executable
+           (lambda* (#:key inputs outputs #:allow-other-keys)
+             (let* ((out (assoc-ref outputs "out"))
+                    (faad2 (assoc-ref inputs "faad2")))
+               (wrap-program (string-append out "/bin/mixxx")
+                 `("LD_LIBRARY_PATH" ":" prefix
+                   ,(list (string-append faad2 "/lib"))))))))))
+    (native-inputs
+     `(("benchmark" ,benchmark)
+       ("googletest" ,googletest)
+       ("python" ,python-wrapper)
+       ("qttools" ,qttools)
+       ("xorg-server" ,xorg-server-for-tests)))
+    (inputs
+     `(("bash" ,bash-minimal)
+       ("chromaprint" ,chromaprint)
+       ("faad2" ,faad2)
+       ("ffmpeg" ,ffmpeg)
+       ("fftw" ,fftw)
+       ("flac" ,flac)
+       ("glu" ,glu)
+       ("hidapi" ,hidapi)
+       ("jack" ,jack-1)
+       ("lame" ,lame)
+       ("libdjinterop" ,libdjinterop)
+       ("libebur128" ,libebur128)
+       ("libid3tag" ,libid3tag)
+       ("libkeyfinder" ,libkeyfinder)
+       ("libmad" ,libmad)
+       ("libmp4v2" ,libmp4v2)
+       ("libmodplug" ,libmodplug)
+       ("libsndfile" ,libsndfile)
+       ("libshout" ,libshout)
+       ;; TODO: Mixxx requires libshout-idjc >= 2.4.6 which was not released
+       ;; at the time of packaging.
+       ;; ("libshout-idjc" ,libshout-idjc)
+       ("libusb" ,libusb)
+       ("libvorbis" ,libvorbis)
+       ("lilv" ,lilv)
+       ("mp3guessenc" ,mp3guessenc)
+       ("openssl" ,openssl)
+       ("opus" ,opus) ;for opus_multistream.h
+       ("opusfile" ,opusfile)
+       ("portaudio" ,portaudio)
+       ("portmidi" ,portmidi)
+       ("protobuf" ,protobuf)
+       ("qtbase" ,qtbase-5)
+       ("qtdeclarative" ,qtdeclarative)
+       ("qtkeychain" ,qtkeychain)
+       ("qtscript" ,qtscript)
+       ("qtsvg" ,qtsvg)
+       ("qtx11extras" ,qtx11extras)
+       ("rubberband" ,rubberband)
+       ("soundtouch" ,soundtouch)
+       ("sqlite" ,sqlite)
+       ("taglib" ,taglib)
+       ("upower" ,upower)
+       ("vamp" ,vamp)
+       ("wavpack" ,wavpack)))
+    (home-page "https://www.mixxx.org/")
+    (synopsis "DJ software to perform live mixes")
+    (description "Mixxx integrates the tools DJs need to perform creative live
+mixes with digital music files.
+
+Whether you are a new DJ with just a laptop or an experienced turntablist,
+Mixxx can support your style and techniques of mixing.")
+    ;; TODO: Try to unbundle some of these (see lib/).
+    (license (list license:gpl2+ ; Mixxx, fidlib, qm-dsp
+                   license:gpl2 ; xwax
+                   license:gpl3+ ; reverb
+                   license:expat ; kaitai, scspqueue, portaudio
+                   license:bsd-3 ; qtbytescriptarray
+                   license:lgpl2.1+ ; replaygain, mp3guessenc
+                   license:lgpl2.0+)))) ; libshout-idjc (Library, not Lesser)
+
 (define-public synthv1
   (package
     (name "synthv1")
diff --git a/gnu/packages/patches/mixxx-link-qtscriptbytearray-qtscript.patch b/gnu/packages/patches/mixxx-link-qtscriptbytearray-qtscript.patch
new file mode 100644
index 0000000000..d7cd1c0d28
--- /dev/null
+++ b/gnu/packages/patches/mixxx-link-qtscriptbytearray-qtscript.patch
@@ -0,0 +1,25 @@
+From 7554aefc886d4ebc4b4c139a5cddcab6163cf72f Mon Sep 17 00:00:00 2001
+From: Vinicius Monego <monego@HIDDEN>
+Date: Thu, 30 Sep 2021 23:37:29 -0300
+Subject: [PATCH] Link QtScriptByteArray with QtScript.
+
+---
+ CMakeLists.txt | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/CMakeLists.txt b/CMakeLists.txt
+index 492ccae..05fec08 100644
+--- a/CMakeLists.txt
++++ b/CMakeLists.txt
+@@ -2077,7 +2077,7 @@ add_library(QtScriptByteArray STATIC EXCLUDE_FROM_ALL
+   lib/qtscript-bytearray/bytearrayprototype.cpp
+ )
+ set_target_properties(QtScriptByteArray PROPERTIES AUTOMOC ON)
+-target_link_libraries(QtScriptByteArray Qt5::Core)
++target_link_libraries(QtScriptByteArray Qt5::Core Qt5::Script)
+ target_include_directories(mixxx-lib SYSTEM PUBLIC lib/qtscript-bytearray)
+ target_link_libraries(mixxx-lib PRIVATE QtScriptByteArray)
+ 
+-- 
+2.30.2
+
diff --git a/gnu/packages/patches/mixxx-system-googletest-benchmark.patch b/gnu/packages/patches/mixxx-system-googletest-benchmark.patch
new file mode 100644
index 0000000000..7adbe66208
--- /dev/null
+++ b/gnu/packages/patches/mixxx-system-googletest-benchmark.patch
@@ -0,0 +1,43 @@
+From eb2079d467f8658eea13e2ed86cc69d864632866 Mon Sep 17 00:00:00 2001
+From: Vinicius Monego <monego@HIDDEN>
+Date: Wed, 29 Sep 2021 19:07:35 -0300
+Subject: [PATCH] Use system googletest and benchmark.
+
+---
+ CMakeLists.txt | 13 +++----------
+ 1 file changed, 3 insertions(+), 10 deletions(-)
+
+diff --git a/CMakeLists.txt b/CMakeLists.txt
+index 10e9b0a..492ccae 100644
+--- a/CMakeLists.txt
++++ b/CMakeLists.txt
+@@ -1467,12 +1467,7 @@ set(gtest_force_shared_crt ON CACHE BOOL "Pass Mixxx compiler/linker options to
+ # Prevent installation of GoogleTest libraries
+ set(INSTALL_GTEST OFF CACHE BOOL "Disable installation of GoogleTest" FORCE)
+ 
+-# Add googletest directly to our build. This adds the following targets:
+-# gtest, gtest_main, gmock and gmock_main
+-add_subdirectory(
+-  "${CMAKE_CURRENT_SOURCE_DIR}/lib/googletest"
+-  "${CMAKE_CURRENT_BINARY_DIR}/lib/googletest"
+-)
++find_package(GTest CONFIG REQUIRED)
+ 
+ add_executable(mixxx-test
+   src/test/analyserwaveformtest.cpp
+@@ -1582,10 +1577,8 @@ set(BENCHMARK_ENABLE_TESTING OFF CACHE BOOL "" FORCE)
+ # Prevent installation of google/benchmark artifacts
+ set(BENCHMARK_ENABLE_INSTALL OFF CACHE BOOL "Disable installation of google/benchmark" FORCE)
+ 
+-add_subdirectory(
+-  "${CMAKE_CURRENT_SOURCE_DIR}/lib/benchmark"
+-  "${CMAKE_CURRENT_BINARY_DIR}/lib/benchmark"
+-)
++find_package(benchmark CONFIG REQUIRED)
++
+ target_link_libraries(mixxx-test PRIVATE benchmark)
+ 
+ # Test Suite
+-- 
+2.30.2
+
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#51085; Package guix-patches. Full text available.

Message received at 51085 <at> debbugs.gnu.org:


Received: (at 51085) by debbugs.gnu.org; 7 Oct 2021 14:30:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 07 10:30:30 2021
Received: from localhost ([127.0.0.1]:48242 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mYUPm-00041b-H8
	for submit <at> debbugs.gnu.org; Thu, 07 Oct 2021 10:30:30 -0400
Received: from mout02.posteo.de ([185.67.36.66]:42801)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1mYUPe-00040v-6O
 for 51085 <at> debbugs.gnu.org; Thu, 07 Oct 2021 10:30:28 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 814BD240101
 for <51085 <at> debbugs.gnu.org>; Thu,  7 Oct 2021 16:30:16 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1633617016; bh=0UxevirCTxUKhfAw7WOnPNXdW09kOJJdT2T6CUugR/Q=;
 h=From:To:Cc:Subject:Date:From;
 b=mcH0zKRLYH26d7MSYzNt9YsCUPRhn9FoYnL7JThm64qHvDo6AbACLBD/qXVHJ5A3S
 IJ5alwzwIZojYs6RltmlSg4+LGwtoCqAr7jsf2+fxDEevCXG49b9Potwa1wlJHKx5l
 eSHXUepd1wgj2/HQo6zvJCs6LdKFejVM4RfWva5AAjmKG/rgi56gS7KcTOofNEiqmH
 N4PQHszU3l8vEWulNk1GjaQVg38q2BgB1G6Gevq/zdedrcGqpS0GUDg+ke0Ky8qPea
 fZLeFn8WKvI2En3kmdf4CzxkCfbpu/Zsa3DDgvodSIzLJRF9FRjUnGCvGm3ugGOuE0
 FBd5GnB2XXI/g==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4HQDHq3Wxfz9rxG;
 Thu,  7 Oct 2021 16:30:15 +0200 (CEST)
From: Vinicius Monego <monego@HIDDEN>
To: 51085 <at> debbugs.gnu.org
Subject: [PATCH 5/7] gnu: Add spscqueue.
Date: Thu,  7 Oct 2021 14:29:39 +0000
Message-Id: <20211007142941.46591-5-monego@HIDDEN>
In-Reply-To: <20211007142941.46591-1-monego@HIDDEN>
References: <20211007142941.46591-1-monego@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51085
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/cpp.scm (spscqueue): New variable.
---
 gnu/packages/cpp.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/cpp.scm b/gnu/packages/cpp.scm
index 4af71ba93a..d755cc0fc7 100644
--- a/gnu/packages/cpp.scm
+++ b/gnu/packages/cpp.scm
@@ -517,6 +517,27 @@ syntax highlighting.  @code{ccls} is derived from @code{cquery} which is not
 maintained anymore.")
     (license license:asl2.0)))
 
+(define-public spscqueue
+  (package
+    (name "spscqueue")
+    (version "1.1")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/rigtorp/SPSCQueue/")
+             (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "1428cj9x318afvnvnkhg0711iy4czqn86fi7ysgfhw91asa316rc"))))
+    (build-system cmake-build-system)
+    (home-page "https://github.com/rigtorp/SPSCQueue/")
+    (synopsis "Single producer single consumer queue written in C++11")
+    (description
+     "This package provides a single producer single consumer wait-free and
+lock-free fixed size queue written in C++11.")
+    (license license:expat)))
+
 (define-public gperftools
   (package
     (name "gperftools")
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#51085; Package guix-patches. Full text available.

Message received at 51085 <at> debbugs.gnu.org:


Received: (at 51085) by debbugs.gnu.org; 7 Oct 2021 14:30:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 07 10:30:30 2021
Received: from localhost ([127.0.0.1]:48240 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mYUPm-00041Z-8S
	for submit <at> debbugs.gnu.org; Thu, 07 Oct 2021 10:30:30 -0400
Received: from mout01.posteo.de ([185.67.36.65]:46133)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1mYUPi-00041D-4V
 for 51085 <at> debbugs.gnu.org; Thu, 07 Oct 2021 10:30:27 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 8B553240026
 for <51085 <at> debbugs.gnu.org>; Thu,  7 Oct 2021 16:30:20 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1633617020; bh=AKbvORUpV+fw/fVR4e73wZVfx8lvf8EaQC8nB74pG6s=;
 h=From:To:Cc:Subject:Date:From;
 b=pExXtO3PxHeXKZFBdP0VeEkVBsJ9r+q3bKV3u7/XM1guEZ6umUMQ3cNq3D3njjixz
 I6BP4yvWXBS1Imad1mFrDZ656KpDmW2XPjPPnbM/fHhnNjL6eHbf11SckRKuYBb1g1
 nf5kYIBCV3AqJx/J29QrkxE10Deh7gUySIHNerA/kvMWdXSck8laGkFJTH48ltqpaF
 LHCjRVlzl/3wrrijeJZ552mixb65s37z3N9YWFa2W+mSeDBjgRrqJrPEA22VAoHFW9
 gnOTtojyNoPZiHQvxFaMG7NVargvK3xe5d/pFr3WqKbxqVD0+4cJ4EV492trr1ZqBi
 Egq2ZBg0+P4kg==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4HQDHv4X5Pz9rxl;
 Thu,  7 Oct 2021 16:30:19 +0200 (CEST)
From: Vinicius Monego <monego@HIDDEN>
To: 51085 <at> debbugs.gnu.org
Subject: [PATCH 6/7] gnu: Add mp3guessenc.
Date: Thu,  7 Oct 2021 14:29:40 +0000
Message-Id: <20211007142941.46591-6-monego@HIDDEN>
In-Reply-To: <20211007142941.46591-1-monego@HIDDEN>
References: <20211007142941.46591-1-monego@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51085
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/audio.scm (mp3guessenc): New variable.
---
 gnu/packages/audio.scm | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)

diff --git a/gnu/packages/audio.scm b/gnu/packages/audio.scm
index 666a7fbd49..d1bf91d10f 100644
--- a/gnu/packages/audio.scm
+++ b/gnu/packages/audio.scm
@@ -4016,6 +4016,34 @@ machine-readable ASCII format.")
     (home-page "https://github.com/svend/cuetools")
     (license license:gpl2+)))
 
+(define-public mp3guessenc
+  (package
+    (name "mp3guessenc")
+    (version "0.27.5")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (string-append "mirror://sourceforge/mp3guessenc/mp3guessenc-"
+                           (version-major+minor version) "/mp3guessenc-"
+                           version ".tar.gz"))
+       (sha256
+        (base32 "1fa3sbwwn4p2v1749lzy040bfy1xfd574mf2frwgg9ikgk3vlb3c"))))
+    (build-system gnu-build-system)
+    (arguments
+     `(#:tests? #f ; no tests
+       #:make-flags
+       (list (string-append "PREFIX=" (assoc-ref %outputs "out"))
+             (string-append "SUFFIX="))
+       #:phases
+       (modify-phases %standard-phases
+         (delete 'configure)))) ; no configure phase
+    (home-page "https://mp3guessenc.sourceforge.io/")
+    (synopsis "Detect the encoder used for a mpeg layer III file")
+    (description "This command line utility was born to detect the encoder
+used for a mpeg layer III file but now it can do more and scan any mpeg
+audio file (any layer) and print a lot of useful information.")
+    (license license:lgpl2.1+)))
+
 (define-public shntool
   (package
     (name "shntool")
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#51085; Package guix-patches. Full text available.

Message received at 51085 <at> debbugs.gnu.org:


Received: (at 51085) by debbugs.gnu.org; 7 Oct 2021 14:30:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 07 10:30:20 2021
Received: from localhost ([127.0.0.1]:48236 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mYUPc-000415-0j
	for submit <at> debbugs.gnu.org; Thu, 07 Oct 2021 10:30:20 -0400
Received: from mout02.posteo.de ([185.67.36.66]:50919)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1mYUPZ-00040e-Mm
 for 51085 <at> debbugs.gnu.org; Thu, 07 Oct 2021 10:30:18 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 0D320240104
 for <51085 <at> debbugs.gnu.org>; Thu,  7 Oct 2021 16:30:12 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1633617012; bh=AEhBUMU5pNLqd8a53zeOeT88wI7qDRubCNyHcG3wON0=;
 h=From:To:Cc:Subject:Date:From;
 b=kxNOEfSKpU45GGWBDh/rD4K1VOq0ew8mg7t3iDgrenNEZQwQfe7wFTqqMyB1yinED
 VuTPLCVZLc4AUdMkMoOAG/GXnm7G0XH1p4vxmDF3CZflJ9TYA7YLTtByh8KzscLuhx
 mdVKd8760tfnM2o0JqsQ0NZZbKh+Qy/c3kc3ARC6Jd5yXRBpGfJLpbYoaMs3kAmwU0
 PSGDhWCEVRxbxEZRd6qqhAjPRvAPgLvvECfEziqeeJiazhlabPFAxZJii9jE5kz8FD
 zzeQR+5AVumqv5zdhxEWEHvvMEdgydowHbhSehMToblqL9upcPc48zEqTNbphv0TgL
 WfEEf4qURGldg==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4HQDHl0gNcz9rxH;
 Thu,  7 Oct 2021 16:30:10 +0200 (CEST)
From: Vinicius Monego <monego@HIDDEN>
To: 51085 <at> debbugs.gnu.org
Subject: [PATCH 4/7] gnu: Add libshout-idjc.
Date: Thu,  7 Oct 2021 14:29:38 +0000
Message-Id: <20211007142941.46591-4-monego@HIDDEN>
In-Reply-To: <20211007142941.46591-1-monego@HIDDEN>
References: <20211007142941.46591-1-monego@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51085
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/audio.scm (libshout-idjc): New variable.
---
 gnu/packages/audio.scm | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

diff --git a/gnu/packages/audio.scm b/gnu/packages/audio.scm
index 2ffc4b86a9..666a7fbd49 100644
--- a/gnu/packages/audio.scm
+++ b/gnu/packages/audio.scm
@@ -3045,6 +3045,31 @@ for \"realtime\" in the index of the Guix manual to learn how to achieve this
 using Guix System.")
     (license license:gpl2+)))
 
+(define-public libshout-idjc
+  (package
+    (name "libshout-idjc")
+    (version "2.4.4")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (string-append "mirror://sourceforge/libshoutidjc.idjc.p"
+                           "/libshout-idjc-" version ".tar.gz"))
+       (sha256
+        (base32 "1r9z8ggxylr2ab0isaljbm574rplnlcb12758j994h54nh2vikwb"))))
+    (build-system gnu-build-system)
+    (native-inputs
+     `(("pkg-config" ,pkg-config)))
+    (inputs
+     `(("libogg" ,libogg)
+       ("libtheora" ,libtheora)
+       ("libvorbis" ,libvorbis)
+       ("speex" ,speex)))
+    (home-page "http://idjc.sourceforge.net/")
+    (synopsis "Broadcast streaming library with IDJC extensions")
+    (description "This package provides libshout plus IJDC extensions.")
+    ;; GNU Library (not Lesser) General Public License.
+    (license license:lgpl2.0+)))
+
 (define-public raul
   (package
     (name "raul")
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#51085; Package guix-patches. Full text available.

Message received at 51085 <at> debbugs.gnu.org:


Received: (at 51085) by debbugs.gnu.org; 7 Oct 2021 14:30:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 07 10:30:16 2021
Received: from localhost ([127.0.0.1]:48233 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mYUPX-00040n-O2
	for submit <at> debbugs.gnu.org; Thu, 07 Oct 2021 10:30:15 -0400
Received: from mout02.posteo.de ([185.67.36.66]:42367)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1mYUPV-00040K-NR
 for 51085 <at> debbugs.gnu.org; Thu, 07 Oct 2021 10:30:14 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id EDE10240101
 for <51085 <at> debbugs.gnu.org>; Thu,  7 Oct 2021 16:30:07 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1633617008; bh=IiHEICBD7jhtHWEOosBA+4eWekqbKmmWsMmrBqXVtyM=;
 h=From:To:Cc:Subject:Date:From;
 b=EP3VyChp+EGDPYDqk5mIXT2v1vgXkuM6Hkp062tPy9zvmlfaGBz5ozZQiCkyiFesV
 9a1i1rw90hLkIR35TszCBHJNy3DunN+FIUDuEcpy0DwUIX2wGfZdByxPB0qVGIO8CP
 rAU0lKmgcppTKNeGNHYl66RfpVDpqOMF3fQFeRgcjGivyosfoL1knWfnMeNMx99951
 b3p5w4jByhHSRWn4ar4s2IlbJOTtUHZc+ToC3XY6NamBNYPLvnmpYxYE4KkxGkNq/7
 OO/ISnFCT5Tk0iU21Cu3OwGf1/BAvAftxjnWg/nmOH8mzRc9rVP5MNZlL6Qr2I/rwU
 +6S5ZGcS3rU5Q==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4HQDHf6X9Vz9rxV;
 Thu,  7 Oct 2021 16:30:06 +0200 (CEST)
From: Vinicius Monego <monego@HIDDEN>
To: 51085 <at> debbugs.gnu.org
Subject: [PATCH 3/7] gnu: opusfile: Add new phase after unpack.
Date: Thu,  7 Oct 2021 14:29:37 +0000
Message-Id: <20211007142941.46591-3-monego@HIDDEN>
In-Reply-To: <20211007142941.46591-1-monego@HIDDEN>
References: <20211007142941.46591-1-monego@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51085
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/xiph.scm (opusfile)[arguments]<#:phases>: After the unpack
phase add a fix-multistream phase to adjust the include header call of
opus_multistream.h so that opusfile can find it.
---
 gnu/packages/xiph.scm | 12 +++++++++++-
 1 file changed, 11 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/xiph.scm b/gnu/packages/xiph.scm
index fbbcbd6e61..0c9c799067 100644
--- a/gnu/packages/xiph.scm
+++ b/gnu/packages/xiph.scm
@@ -11,6 +11,7 @@
 ;;; Copyright © 2018 Leo Famulari <leo@HIDDEN>
 ;;; Copyright © 2020 Vincent Legoll <vincent.legoll@HIDDEN>
 ;;; Copyright © 2021 Brendan Tildesley <mail@HIDDEN>
+;;; Copyright © 2021 Vinicius Monego <monego@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -406,7 +407,16 @@ decoding .opus files.")
                 "02smwc5ah8nb3a67mnkjzqmrzk43j356hgj2a97s9midq40qd38i"))))
     (build-system gnu-build-system)
     (arguments
-     '(#:configure-flags '("--disable-static")))
+     '(#:configure-flags '("--disable-static")
+       #:phases
+       (modify-phases %standard-phases
+         (add-after 'unpack 'fix-multistream
+           ;; Opus include directory should be passed explicitly:
+           ;; https://github.com/xiph/opusfile/issues/10 however,
+           ;; opus_multistream.h still can't be found by the compiler.
+           (lambda _
+             (substitute* "include/opusfile.h"
+               (("opus_multistream\\.h") "opus/opus_multistream.h")))))))
     ;; Required by opusfile.pc and opusurl.pc.
     (propagated-inputs
      `(("libogg" ,libogg)
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#51085; Package guix-patches. Full text available.

Message received at 51085 <at> debbugs.gnu.org:


Received: (at 51085) by debbugs.gnu.org; 7 Oct 2021 14:30:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 07 10:30:11 2021
Received: from localhost ([127.0.0.1]:48230 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mYUPT-00040W-8m
	for submit <at> debbugs.gnu.org; Thu, 07 Oct 2021 10:30:11 -0400
Received: from mout02.posteo.de ([185.67.36.66]:44251)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1mYUPR-0003z2-RR
 for 51085 <at> debbugs.gnu.org; Thu, 07 Oct 2021 10:30:10 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 9CE51240101
 for <51085 <at> debbugs.gnu.org>; Thu,  7 Oct 2021 16:30:03 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1633617003; bh=YEC8hjS46eOddwt3R6W3xD8TOCAGMnit3H+7UpCHmgk=;
 h=From:To:Cc:Subject:Date:From;
 b=hQLDgJ1lkVnd5wNEPH/fzBIzeCzGPYRMKTmoMiYiv3Tm5XGbN4/tW8S5Fg+ZryEnY
 ifHNmOdKu1NyUpYPpIrf0NEzyjTWZLJQiSQ5MxdtBgimVTODXZM0NOTJyFcvCNTu49
 K1UbhMuP7ksCAzhRsm5SFHB45vz4hHRVsB0K+kKv8+wTj0Agoo3H7V8tXOrLV/39/S
 AtR+1l4iWiXcgCh99ZLIkgZOTR2q60Wo1yi6jpcsfTKQ1/EspE5cVwrwrwxyab5QQj
 FZK8zS2LmnhHGJqgl4ZFDEfaAT1S4TvpmjZaYU2H5/jcf3rHXKIfBJcFyCjA+I/qRU
 8sF6rJwB60XRg==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4HQDHZ2s8zz9rxQ;
 Thu,  7 Oct 2021 16:30:02 +0200 (CEST)
From: Vinicius Monego <monego@HIDDEN>
To: 51085 <at> debbugs.gnu.org
Subject: [PATCH 2/7] gnu: Add libdjinterop.
Date: Thu,  7 Oct 2021 14:29:36 +0000
Message-Id: <20211007142941.46591-2-monego@HIDDEN>
In-Reply-To: <20211007142941.46591-1-monego@HIDDEN>
References: <20211007142941.46591-1-monego@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51085
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/audio.scm (libdjinterop): New variable.
---
 gnu/packages/audio.scm | 35 +++++++++++++++++++++++++++++++++++
 1 file changed, 35 insertions(+)

diff --git a/gnu/packages/audio.scm b/gnu/packages/audio.scm
index e6db87540e..2ffc4b86a9 100644
--- a/gnu/packages/audio.scm
+++ b/gnu/packages/audio.scm
@@ -107,6 +107,7 @@
   #:use-module (gnu packages readline)
   #:use-module (gnu packages sdl)
   #:use-module (gnu packages serialization)
+  #:use-module (gnu packages sqlite)
   #:use-module (gnu packages telephony)
   #:use-module (gnu packages linphone)
   #:use-module (gnu packages linux)
@@ -1173,6 +1174,40 @@ flanger), ringmodulator, distortion, filters, pitchshift, oscillators,
 emulation (valve, tape), bit fiddling (decimator, pointer-cast), etc.")
     (license license:gpl3+)))
 
+(define-public libdjinterop
+  (package
+    (name "libdjinterop")
+    (version "0.16.0")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/xsco/libdjinterop")
+             (commit version)))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "16nrqpr90vb9ggmp9j73m0hspd7pmfdhh0g6iyp8vd7kx7g17qnk"))))
+    (build-system meson-build-system)
+    (arguments
+     `(#:phases
+       (modify-phases %standard-phases
+         ;; crate_test writes a database file to the source tree.
+         (add-after 'unpack 'make-git-checkout-writable
+           (lambda _
+             (for-each make-file-writable (find-files ".")))))))
+    (native-inputs
+     `(("boost" ,boost)
+       ("pkg-config" ,pkg-config)))
+    (inputs
+     `(("sqlite" ,sqlite)
+       ("zlib" ,zlib)))
+    (home-page "https://github.com/xsco/libdjinterop")
+    (synopsis "C++ library for access to DJ record libraries")
+    (description
+     "@code{libdjinterop} is a C++ library that allows access to database
+formats used to store information about DJ record libraries.")
+    (license license:lgpl3+)))
+
 (define-public tao
   (package
     (name "tao")
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#51085; Package guix-patches. Full text available.

Message received at 51085 <at> debbugs.gnu.org:


Received: (at 51085) by debbugs.gnu.org; 7 Oct 2021 14:30:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 07 10:30:07 2021
Received: from localhost ([127.0.0.1]:48227 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mYUPO-00040B-Vn
	for submit <at> debbugs.gnu.org; Thu, 07 Oct 2021 10:30:07 -0400
Received: from mout01.posteo.de ([185.67.36.65]:41581)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1mYUPM-0003yF-Rj
 for 51085 <at> debbugs.gnu.org; Thu, 07 Oct 2021 10:30:06 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 46249240026
 for <51085 <at> debbugs.gnu.org>; Thu,  7 Oct 2021 16:29:59 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1633616999; bh=7I3NiulRZj7XqLj+53utSllvYdur/+CqqeUbj2h86Ig=;
 h=From:To:Cc:Subject:Date:From;
 b=MafZlmaaewQoeEmugMD/xrdkl5ArzbofDih+4/buvavKapxoq59beh5Hw5k1IvsHa
 pyFarHM/i8Sl+j/Xssia1G6LqE6/2v6lx/PpKtcTfuUdNLyfRYzo5Rjn9nxJzfDfrx
 l7yrvyo23D9MEEm+ObzXv6sVRfwD0UYXOEqndqtnuEeUJTukPZFftNWDCmHH2BIr2S
 iJsebCS83WyHDGsDtkex3RFHfih4wn4gH0ilV6A5SyFYDo6+K/BZ0bgrMlWT4VO9L2
 Hb+e+XBS+Ix3neIo94xaXm4EhcNACDp1AAI/PYD8jgvHdVMJ/f3KBYemQcwq1us0NZ
 19Sp3SHHT/8Kg==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4HQDHV1cWbz9rxf;
 Thu,  7 Oct 2021 16:29:57 +0200 (CEST)
From: Vinicius Monego <monego@HIDDEN>
To: 51085 <at> debbugs.gnu.org
Subject: [PATCH 1/7] gnu: Add libkeyfinder.
Date: Thu,  7 Oct 2021 14:29:35 +0000
Message-Id: <20211007142941.46591-1-monego@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51085
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/audio.scm (libkeyfinder): New variable.
---
 gnu/packages/audio.scm | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

diff --git a/gnu/packages/audio.scm b/gnu/packages/audio.scm
index b746cd370d..e6db87540e 100644
--- a/gnu/packages/audio.scm
+++ b/gnu/packages/audio.scm
@@ -3373,6 +3373,31 @@ stretching and pitch scaling of audio.  This package contains the library.")
     ;; containing gpl2.
     (license license:gpl2)))
 
+(define-public libkeyfinder
+  (package
+    (name "libkeyfinder")
+    (version "2.2.5")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/mixxxdj/libkeyfinder")
+             (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "1623kirmxhmvmhx7f8lbzk0f18w2hrhwlkzl8l4aa906lfqffdp2"))))
+    (build-system cmake-build-system)
+    (native-inputs
+     `(("catch" ,catch-framework2)))
+    (inputs
+     `(("fftw" ,fftw)))
+    (home-page "https://mixxxdj.github.io/libkeyfinder/")
+    (synopsis "Musical key detection for digital audio")
+    (description
+     "@code{libkeyfinder} is a small C++11 library for estimating the musical
+key of digital audio.")
+    (license license:gpl3+)))
+
 (define-public wavpack
   (package
     (name "wavpack")
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#51085; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 7 Oct 2021 14:28:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 07 10:28:16 2021
Received: from localhost ([127.0.0.1]:48222 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mYUNc-0003vY-Kq
	for submit <at> debbugs.gnu.org; Thu, 07 Oct 2021 10:28:16 -0400
Received: from lists.gnu.org ([209.51.188.17]:37842)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1mYUNX-0003vN-IR
 for submit <at> debbugs.gnu.org; Thu, 07 Oct 2021 10:28:14 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:49758)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <monego@HIDDEN>) id 1mYUNX-0007Yi-Bs
 for guix-patches@HIDDEN; Thu, 07 Oct 2021 10:28:11 -0400
Received: from mout01.posteo.de ([185.67.36.65]:39915)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <monego@HIDDEN>) id 1mYUNU-0000Vn-W3
 for guix-patches@HIDDEN; Thu, 07 Oct 2021 10:28:11 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 2AEA724002C
 for <guix-patches@HIDDEN>; Thu,  7 Oct 2021 16:28:05 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1633616885; bh=5aneXtCMYo5IHnmr0pRsaglXai6yZXC0ptaCXKD78ZQ=;
 h=From:To:Cc:Subject:Date:From;
 b=LVaofg3OW9+36SPzLsS4Z2KZLBZKi575uIEqhV1lDy3nmGFNALzZmOdt51JKAqkTO
 DA3BzoIUxWRmMDFUjPWW7ABxAKzrxS9ifVTobHJilqgl9GEBNV6U/i5HoJvPwGNYQh
 JqnymZTH4Fk6CtlxmXRA7+cSgQIb4noe43m7m3lG4z6TJ3vqCUM3bLbf3H/FY3Q+Ad
 3sr9FdOsmdIBpvrse1MJmqV/RYXxM9OmZqnOrK6imLiIr2LH2qttcHqd7Ex2a24Ru1
 AQOIEts016hOifmIlMyDXEGF1FlNLx3Ok1NzhQS3xXdAOBKv7jix7rrHuDAw6A7EmE
 OQjZgsNb9hnQw==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4HQDFJ0cZ5z9rxd;
 Thu,  7 Oct 2021 16:28:03 +0200 (CEST)
From: Vinicius Monego <monego@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 0/7] Add Mixxx.
Date: Thu,  7 Oct 2021 14:27:54 +0000
Message-Id: <20211007142754.46263-1-monego@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=185.67.36.65; envelope-from=monego@HIDDEN;
 helo=mout01.posteo.de
X-Spam_score_int: -43
X-Spam_score: -4.4
X-Spam_bar: ----
X-Spam_report: (-4.4 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_MED=-2.3, RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Vinicius Monego (7):
  gnu: Add libkeyfinder.
  gnu: Add libdjinterop.
  gnu: opusfile: Add new phase after unpack.
  gnu: Add libshout-idjc.
  gnu: Add spscqueue.
  gnu: Add mp3guessenc.
  gnu: Add mixxx.

 gnu/local.mk                                  |   2 +
 gnu/packages/audio.scm                        | 113 +++++++++++++++++
 gnu/packages/cpp.scm                          |  21 ++++
 gnu/packages/music.scm                        | 116 ++++++++++++++++++
 ...ixxx-link-qtscriptbytearray-qtscript.patch |  25 ++++
 .../mixxx-system-googletest-benchmark.patch   |  43 +++++++
 gnu/packages/xiph.scm                         |  12 +-
 7 files changed, 331 insertions(+), 1 deletion(-)
 create mode 100644 gnu/packages/patches/mixxx-link-qtscriptbytearray-qtscript.patch
 create mode 100644 gnu/packages/patches/mixxx-system-googletest-benchmark.patch

-- 
2.30.2





Acknowledgement sent to Vinicius Monego <monego@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#51085; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 11 Oct 2021 17:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.